[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManager.GetControlBounds

Returns the zone bounds of a docked control.

## Declaration

Source position: controls.pp line 669

`public procedure TDockManager.GetControlBounds(`
`Control: TControl;`
`out AControlBounds: TRect`
`); virtual; abstract;`

## Arguments

`Control` |  | The docked control.
`AControlBounds` |  | The enclosing rectangle, in client coordinates of the docksite.

## Description

The TDockTree manager returns the bounds of the dockzone, including the dock header.

When the Control is not docked, an empty Rect(0,0,0,0) is returned.